Mantis Bugtracker
  

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000519 [Squeak] Morphic crash always 11-14-04 02:54 01-12-05 17:21
Reporter wiz View Status public  
Assigned To bert
Priority normal Resolution fixed  
Status closed   Product Version
Summary 0000519: [BUG] Navigator buttons invoke crash
Description In fresh squeak (3.9a-6404). Open navigator flap.
Press "Share." When asked for name press cancel.
emergency screen is invoked.
Additional Information A picture of the emergency output is attached.
Clipping canvas DNU asBalloonCanvas seems to be the cause of the problem.
Attached Files  bug.gif [^] (42,724 bytes) 11-14-04 02:54
 SafeToServe-wiz.3.cs.gz [^] (569 bytes) 01-09-05 22:41

- Relationships

- Notes
(0000915 - 23 - 23 - 23 - 23 - 23 - 23)
laza
12-12-04 14:55

Same thing on 3.8b 6527
 
(0001016 - 64 - 64 - 64 - 64 - 64 - 64)
bert
01-07-05 19:40

You need to close the Flash Squeak Icon before enabling sharing.
 
(0001042 - 536 - 578 - 578 - 578 - 578 - 578)
wiz
01-09-05 06:20

Hi Bert.


When I envoked the bug I didn't want to share anything. When I tried to get out of sharing by canceling the fill in the blank I expected a normal termination and exit from the sharing. There should be a check for a balk before anything exciting is attempted. That much at least should be fixable.

And if a flash icon interferes with actual sharing a check should be provided before the walkback and emergency screen gets invoked.

It does not seem acceptable to me to leave this unfixed and call the issue resolved.
 
(0001045 - 1138 - 1427 - 1427 - 1774 - 1774 - 1774)
wiz
01-09-05 22:44

There that should do the trick.
Gzipped cs uploaded. I check this in 3.9a and it does what I intended warns and does nothing. As more problems turn up add them to the test.

'From Squeak3.9alpha of ''2 November 2004'' [latest update: 0006532] on 9 January 2005 at 3:37:57 pm'!
"Change Set: SafeToServe-wiz
Date: 9 January 2005
Author: (wiz) Jerome Peace

Fix for Mantis bug 0000519. Navigator share button leads to emergency crash when squeak logo present."!


!NebraskaServerMorph class methodsFor: 'as yet unclassified' stamp: 'wiz 1/9/2005 15:12'!
serveWorld: aWorld
    "Check to make sure things won't crash. See Mantis 0000519"
    aWorld isSafeToServe ifTrue:[
    ^self serveWorld: aWorld onPort: NebraskaServer defaultPort]
    ! !


!PasteUpMorph methodsFor: 'Nebraska' stamp: 'wiz 1/9/2005 15:37'!
isSafeToServe
"True if all conditions are met to share safely.
(attends to mantis bug 0000519).
Right now we reject worlds with FlashMorphs for subMorphs."

 (self findA: FlashMorph) ifNil: [^true] .
Warning signal: 'Can not share world if Squeaklogo is present. Collapse logo and try again' .
^false .! !
 
(0001067 - 7 - 7 - 7 - 7 - 7 - 7)
bert
01-12-05 17:21

thanks!
 
(0001068 - 29 - 29 - 29 - 29 - 29 - 29)
bert
01-12-05 17:21

update 6550SafeToServe-wiz.cs
 

- Issue History
Date Modified Username Field Change
11-14-04 02:54 wiz New Issue
11-14-04 02:54 wiz File Added: bug.gif
12-12-04 14:55 laza Note Added: 0000915
12-12-04 14:55 laza Status new => confirmed
01-07-05 19:40 bert Note Added: 0001016
01-07-05 19:40 bert Status confirmed => resolved
01-07-05 19:40 bert Resolution open => won't fix
01-09-05 06:20 wiz Status resolved => feedback
01-09-05 06:20 wiz Resolution won't fix => reopened
01-09-05 06:20 wiz Note Added: 0001042
01-09-05 06:20 wiz Assigned To  => bert
01-09-05 22:41 wiz File Added: SafeToServe-wiz.3.cs.gz
01-09-05 22:44 wiz Note Added: 0001045
01-12-05 17:21 bert Status feedback => resolved
01-12-05 17:21 bert Resolution reopened => fixed
01-12-05 17:21 bert Note Added: 0001067
01-12-05 17:21 bert Status resolved => closed
01-12-05 17:21 bert Note Added: 0001068
01-12-05 17:21 bert Fixed in Version  => 3.8


Mantis 1.0.8[^]
Copyright © 2000 - 2007 Mantis Group
68 total queries executed.
43 unique queries executed.
Powered by Mantis Bugtracker